Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::objects::StructMarkedContent Class Reference
Inheritance diagram for foxit::pdf::objects::StructMarkedContent:

## Public Member Functions
| StructMarkedContent ()
| Constructor.
| StructMarkedContent (const StructMarkedContent &other)
| Constructor, with another structure marked-content object. More...
| StructMarkedContent (const StructTreeEntity &other)
| Constructor, with another structure tree entity object. More...
| ~StructMarkedContent ()
| Destructor.
uint32 | GetMCID () const
| Get marked-content identifier(MCID). More...
StructElement | GetParentElement ()
| Get the parent structure element. More...
pdf::objects::PDFDictionary * | GetStmDict () const
| Get PDF dictionary of the content stream that contains the marked-content sequence. More...
pdf::objects::PDFDictionary * | GetStmOwnerDict () const
| Get PDF dictionary of content stream owner. More...
Public Member Functions inherited from foxit::pdf::objects::StructTreeEntity
| StructTreeEntity ()
| Constructor.
| StructTreeEntity (const StructTreeEntity &other)
| Constructor, with another structure element entity object. More...
| ~StructTreeEntity ()
| Destructor.
PDFPage | GetPage () const
| Get the related PDF page. More...
StructTreeEntityType | GetType () const
| Get structure tree entity type. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const StructTreeEntity &other) const
| Not equal operator. More...
StructTreeEntity & | operator= (const StructTreeEntity &other)
| Assign operator. More...
bool | operator== (const StructTreeEntity &other) const
| Equal operator. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Additional Inherited Members
Public Types inherited from foxit::pdf::objects::StructTreeEntity
enum | StructTreeEntityType { e_UnknownType = -1, e_StructTreeEntityTypeElement = 0, e_StructTreeEntityTypeMarkedContent = 1, e_StructTreeEntityTypeObjectContent = 2 }
| Enumeration for structure tree entity type. More...

## Detailed Description

This class represents a marked-content item.

## Constructor & Destructor Documentation

## ◆ StructMarkedContent() [1/2]

foxit::pdf::objects::StructMarkedContent::StructMarkedContent | ( | const StructMarkedContent & | other | ) |

Constructor, with another structure marked-content object.

Parameters

  [in] | other | Another structure marked-content object.

## ◆ StructMarkedContent() [2/2]

foxit::pdf::objects::StructMarkedContent::StructMarkedContent | ( | const StructTreeEntity & | other | ) |

Constructor, with another structure tree entity object.

Parameters

  [in] | other | Another structure tree entity object.

## Member Function Documentation

## ◆ GetMCID()

uint32 foxit::pdf::objects::StructMarkedContent::GetMCID | ( |  | ) | const

Get marked-content identifier(MCID).

Returns
  Marked-content identifier.

## ◆ GetParentElement()

StructElement foxit::pdf::objects::StructMarkedContent::GetParentElement | ( |  | ) |

Get the parent structure element.

Returns
  Parent structure element. If function StructElement::IsEmpty for the returned object returns true, that means current element does not have a parent element.

## ◆ GetStmDict()

pdf::objects::PDFDictionary* foxit::pdf::objects::StructMarkedContent::GetStmDict | ( |  | ) | const

Get PDF dictionary of the content stream that contains the marked-content sequence.

The content stream containing the marked-content sequence. This entry should be present only if the marked-content sequence resides in a content stream other than the content stream for the page.

Returns
  PDF dictionary of content stream that contains the marked-content sequence.

## ◆ GetStmOwnerDict()

pdf::objects::PDFDictionary* foxit::pdf::objects::StructMarkedContent::GetStmOwnerDict | ( |  | ) | const

Get PDF dictionary of content stream owner.

Returns
  PDF dictionary of content stream owner.